Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# TDataStd_ConstraintEnum.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | TDataStd_ConstraintEnum { TDataStd_RADIUS, TDataStd_DIAMETER, TDataStd_MINOR_RADIUS, TDataStd_MAJOR_RADIUS, TDataStd_TANGENT, TDataStd_PARALLEL, TDataStd_PERPENDICULAR, TDataStd_CONCENTRIC, TDataStd_COINCIDENT, TDataStd_DISTANCE, TDataStd_ANGLE, TDataStd_EQUAL_RADIUS, TDataStd_SYMMETRY, TDataStd_MIDPOINT, TDataStd_EQUAL_DISTANCE, TDataStd_FIX, TDataStd_RIGID, TDataStd_FROM, TDataStd_AXIS, TDataStd_MATE, TDataStd_ALIGN_FACES, TDataStd_ALIGN_AXES, TDataStd_AXES_ANGLE, TDataStd_FACES_ANGLE, TDataStd_ROUND, TDataStd_OFFSET }
| The terms of this enumeration define the types of available constraint. ================== . More...

## Enumeration Type Documentation

enum TDataStd_ConstraintEnum

  | Enumeration values:
  TDataStd_RADIUS |
  TDataStd_DIAMETER |
  TDataStd_MINOR_RADIUS |
  TDataStd_MAJOR_RADIUS |
  TDataStd_TANGENT |
  TDataStd_PARALLEL |
  TDataStd_PERPENDICULAR |
  TDataStd_CONCENTRIC |
  TDataStd_COINCIDENT |
  TDataStd_DISTANCE |
  TDataStd_ANGLE |
  TDataStd_EQUAL_RADIUS |
  TDataStd_SYMMETRY |
  TDataStd_MIDPOINT |
  TDataStd_EQUAL_DISTANCE |
  TDataStd_FIX |
  TDataStd_RIGID |
  TDataStd_FROM |
  TDataStd_AXIS |
  TDataStd_MATE |
  TDataStd_ALIGN_FACES |
  TDataStd_ALIGN_AXES |
  TDataStd_AXES_ANGLE |
  TDataStd_FACES_ANGLE |
  TDataStd_ROUND |
  TDataStd_OFFSET |